i have an imac g4, 10.3.9 panther, can i upgrade to snow leopard? or what else can i use to make my mac compatable for mobile broadband

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Snow Leopard requires an intel processor. Your computer has a PowerPC processor. The best option for you would be to upgrade to 10.4 "Tiger", or if your mac has an 867 mhz or faster processor and enough ram you could upgrade to 10.5 "Leopard". I used to have an iMac G4 that I could use Sprint mobile broadband with. It had Tiger.

    Was this useful? Answer 1

    12 of 12 people found this useful

Related Questions